summaryrefslogtreecommitdiff
path: root/tests.build/build-chunk-writes-log.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.build/build-chunk-writes-log.script')
-rwxr-xr-xtests.build/build-chunk-writes-log.script37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests.build/build-chunk-writes-log.script b/tests.build/build-chunk-writes-log.script
new file mode 100755
index 00000000..e636924e
--- /dev/null
+++ b/tests.build/build-chunk-writes-log.script
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Copyright (C) 2011-2013,2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+## Build log should be saved when a chunk is built.
+
+set -eu
+
+"$SRCDIR/scripts/test-morph" build-morphology \
+ test:morphs-repo master hello-system
+
+SOURCES="$DATADIR/cached-sources"
+find "$DATADIR/cache/artifacts" -name '*.chunk.*' |
+ sed 's|\.chunk\..*||' | sort -u >"$SOURCES"
+
+found=false
+# list of sources in cache is not piped because while loop changes variable
+while read source; do
+ [ -e "$source".build-log ] || continue
+ found=true
+ break
+done <"$SOURCES"
+"$found"
+